#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

const int MAX=1e5+3;
int n, q;
int a[MAX], aa[MAX];
int b[MAX];

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    cin >> n;
    for(int i=0;i<n;++i) cin >> a[i];
    cin >> q;
    while(q--){
        int t; cin >> t;
        if(t==0){
            int k; cin >> k; k--;
            for(int i=0;i<n;++i) aa[i]=a[i];
            for(int i=0;i<n;++i){
                b[i]=aa[i];
                for(int j=i+1;j<n;++j){
                    int ap=aa[j];
                    int bp=b[i];
                    b[i]=ap|bp;
                    aa[j]=ap&bp;
                }
            }
            cout << b[k] << '\n';
        }
        else{
            int k, v; cin >> k >> v; k--;
            a[k]=v;
        }
    }

    return 0;
}